Bug 132662 - Applying FEDORA-2004-287 and FEDORA-2004-289 results in an unresolvable chain of dependencies
Applying FEDORA-2004-287 and FEDORA-2004-289 results in an unresolvable chain...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-15 13:13 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-16 08:56:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-09-15 13:13:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.2)
Gecko/20030208 Netscape/7.02

Description of problem:
Running up2date for the updates provided by the following two security
releases:

FEDORA-2004-287
FEDORA-2004-289

results in an unresolvable dependency chain:

up2date -u
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-2
using mirror: http://mirror.hiwaay.net/redhat/fedora/linux/core/2/i386/os/
http://fedora.redhat.com/download/up2date-mirrors/updates-released-fc2
using mirror:
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/2/i386/

Fetching Obsoletes list for channel: fedora-core-2...

Fetching Obsoletes list for channel: updates-released-fc2...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------
gdk-pixbuf                              0.22.0         11.2.3        
  i386
gdk-pixbuf-devel                        0.22.0         11.2.3        
   i386   
gdk-pixbuf-gnome                        0.22.0         11.2.3        
   i386   
gtk2                                    2.4.7          2.4           
   i386   
gtk2-devel                              2.4.7          2.4           
   i386


Testing package set / solving RPM inter-dependencies...  
There was a package dependency problem. The message was:

Unresolvable chain of dependencies:
gnome-utils  2.6.0-2                     requires
/usr/bin/gtk-query-immodules-2.0


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run up2date -u to fetch current gtk2/gdk-pixbuf updates
2. watch dependency failure


Actual Results:  See description

Expected Results:  packages should have been updated

Additional info:
Comment 1 Jacek Piskozub 2004-09-15 16:05:20 EDT
Same with yum update:

error: Failed dependencies:
        /usr/bin/gtk-query-immodules-2.0 is needed by (installed)
gnome-utils-2.6.0-2
Comment 2 Jacek Piskozub 2004-09-15 16:12:44 EDT
It is really gtk2 update that break things. Look at this:

# rpm -q --whatprovides /usr/bin/gtk-query-immodules-2.0
gtk2-2.4.0-1

# rpm -q --whatrequires /usr/bin/gtk-query-immodules-2.0
gnome-utils-2.6.0-2

Comment 3 Chris Ricker 2004-09-15 16:32:17 EDT
In the gtk2 update, it's now

/usr/bin/gtk-query-immodules-2.0-32
Comment 4 Chris Ricker 2004-09-16 08:56:40 EDT
gtk2-2.4.7-2.5 fixes this

Note You need to log in before you can comment on or make changes to this bug.